<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t(:label_workflow_plural) -%>
<%= render partial: 'toolbar', locals: { title: Workflow.model_name.human } %>
<% local_assigns[:additional_breadcrumb] = t(:button_copy) %>

<%= styled_form_tag({}, id: 'workflow_copy_form') do %>
  <section class="form--section">
    <div class="form--field -required">
      <label class="form--label" for="source_type_id"><%= t(:label_copy_source) %></label>
      <div class="form--field-container">
        <div class="form--select-container -middle">
          <label class="form--label" for="source_type_id"><%= Type.model_name.human %></label>
          <%= select_tag('source_type_id',
                         "<option value=\"\">--- #{t(:actionview_instancetag_blank_option)} ---</option>".html_safe +
                             "<option value=\"any\">--- #{ t(:label_copy_same_as_target) } ---</option>".html_safe +
                             options_from_collection_for_select(@types, 'id', 'name', @source_type && @source_type.id), class: 'form--select') %>
        </div>
        <div class="form--select-container -middle">
          <label class="form--label" for='source_role_id'><%= Role.model_name.human %></label>
          <%= select_tag('source_role_id',
                         "<option value=\"\">--- #{t(:actionview_instancetag_blank_option)} ---</option>".html_safe +
                             "<option value=\"any\">--- #{ t(:label_copy_same_as_target) } ---</option>".html_safe +
                             options_from_collection_for_select(@roles, 'id', 'name', @source_role && @source_role.id), class: 'form--select') %>
        </div>
      </div>
    </div>
    <br/>
    <div class="form--field -required">
      <label class="form--label" for="target_type_ids"><%= t(:label_copy_target) %></label>
      <div class="form--field-container">
        <div class="form--select-container -middle">
          <label class="form--label" for="target_type_ids"><%= Type.model_name.human %></label>
          <%= select_tag 'target_type_ids',
                         "<option value=\"\" disabled=\"disabled\">--- #{t(:actionview_instancetag_blank_option)} ---</option>".html_safe +
                             options_from_collection_for_select(@types, 'id', 'name', @target_types && @target_types.map(&:id)),
                         multiple: true,
                         size: 20, class: 'form--select' %>
        </div>
        <div class="form--select-container -middle">
          <label class="form--label" for='target_role_ids'><%= Role.model_name.human %></label>
          <%= select_tag 'target_role_ids',
                         "<option value=\"\" disabled=\"disabled\">--- #{t(:actionview_instancetag_blank_option)} ---</option>".html_safe +
                             options_from_collection_for_select(@roles, 'id', 'name', @target_roles && @target_roles.map(&:id)),
                         multiple: true,
                         size: 20,
                         class: 'form--select' %>
        </div>
      </div>
    </div>
  </section>
  <%= styled_submit_tag t(:button_copy), class: '-primary' %>
<% end %>
